package com.fs.kingbos.domian;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class KingbosRefundOrderD1Data {
    // 序号
    private Integer id1;
    // 商品编码
    private String cgoodsid;
    // 批号
    private String cph;
    // 生产日期
    private Date dmadedate;
    // 有效期
    private Date dexpdate;
    // 所属注册证号
    private String cphnote2;
    // 中药辅助编码
    private String cphcmaidcode;
    // 数量
    private BigDecimal fqty;
    // 单价
    private BigDecimal fnormprice;
    // 金额
    private BigDecimal fnormvalue;
    // 折扣率【默认值：100】
    private BigDecimal fdiscrate;
    // 折扣金额
    private BigDecimal fdiscvalue;
    // 单价
    private BigDecimal fprice;
    // 金额
    private BigDecimal fvalue;
    // 税率
    private BigDecimal ftaxrate;
    // 税额
    private BigDecimal ftaxvalue;
    // 不含税单价
    private BigDecimal fnotaxprice;
    // 不含税金额
    private BigDecimal fnotaxvalue;
    // 原始表名【关联上游单时必填】
    private String orig_ctabname;
    // 原始单据类型【关联上游单时必填】
    private String orig_cbiltype;
    // 原网络销售单号【关联上游单时必填】
    private String orig_cbilid;
    // 原序号【关联上游单时必填】
    private Integer orig_iid;
    // 源表名【关联上游单时必填】
    private String ref_ctabname;
    // 源单据类型【关联上游单时必填】
    private String ref_cbiltype;
    // 源单号【关联上游单时必填】
    private String ref_cbilid;
    // 源序号【关联上游单时必填】
    private Integer ref_iid;
    // 原批号【关联上游单时必填】
    private String orig_cph;
}
