package com.fs.kingbos.domian;

import lombok.Data;

import java.util.Date;

@Data
public class KingbosRefundOrderData {
    // 第三方平台单号
    private String cbilid;
    // 单据日期
    private Date dbildate;
    // 机构名称【传编码】
    private String corgid;
    // 仓库名称【传编码】
    private String cckid;
    // 目标机构【传编码】
    private String ctagorgid;
    // 目标仓库
    private String ctagckid;
    // 退入仓库
    private String cwarehouse;
    // 线上订单号
    private String cso_id;
    // 平台订单号
    private String co_id;
    // 源单号【关联上游单时必填】
    private String ref_cbilid;
    // 源单据类型【关联上游单时必填】
    private String ref_cbiltype;
    // 源表名【关联上游单时必填】
    private String ref_ctabname;
    // 平台店铺编码
    private String cshopcode;
    // 平台店铺名称
    private String cshopname;
    // 会员编码
    private String cvipcode;
    // 会员名称
    private String cvipname;
    // 收货人
    private String creceivername;
    // 收货人电话
    private String creceiverphone;
    // 收件人省
    private String creceiverprovince;
    // 收件人市
    private String creceivercity;
    // 收件人区
    private String creceiverarea;
    // 收件人街道
    private String creceivertown;
    // 收件人详细地址
    private String creceiveraddress;
    // 退回快递
    private String creturnexpressname;
    // 退回运单
    private String creturnexpresscode;
    // 发货单号
    private String ctradecode;
    // 发货单号
    private String cdoid;
    // 退货原因
    private String creturnreason;
    // 售后类型
    private String creturntype;
    // 售后阶段
    private String creturnstage;
    // 平台状态
    private String cplatformstatus;
    // 退货单类型
    private Integer itype;
    // 备注
    private String cnote;
    // 发出快递单号
    private String csendexpresscode;
    // 退货号
    private String creturnno;
    // 是否为转单
    private Integer iturn;
}
